Package Manager Not Updating [Solved]



  • pfBlockerNG-devel 2.2.5_25 has been available since Friday but my Package Manager is not showing the update. How can I force the update? Maybe the better question is, what/how do I need to check for the reason it is not updating? I was able to remote into a separate pfSense box yesterday morning and upgrade with no issue via Package Manager. The two boxes are virtually the same setup. So, I’m at a lose as to why one gets update and not the other.

    Any guidance appreciated, thank you.


  • LAYER 8

    is pfsense 2.5 or 2.4.4 ?



  • 2.4.4-p3


  • LAYER 8

    try from terminal option 13
    and or

    /etc/rc.update_pkg_metadata
    


  • Didn't work.

    Enter an option: 13

    Updating repositories metadata...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Your packages are up to date

    But Package Manager shows...
    ba680b2e-9121-4986-b0b2-4acbf523f3b8-image.png


  • LAYER 8



  • Yeah, I've already read and tried all that, still no go.


  • LAYER 8 Moderator

    What's the output of those options? Are there error messages? What about "Option 8" and running pkg update manually? What is the output? Where are logs/errors? Give us something to work with besides "it doesn't work".



  • One more possibility. Is your pfSense firewall one of the Netgate hardware appliances? If so, it very well could be that the Netgate firmware site (which hosts a separate packages repository) is not yet synced up with the Community Edition package repository.

    I've had this happen a few times with the Snort and Suricata packages that I maintain. Not sure if the sync is an automatic or manual thing, The times I've noticed a new version not posting on the Netgate appliance firmware side, I've swapped emails with the pfSense team and they corrected it.



  • @bmeeks said in Package Manager Not Updating:

    Is your pfSense firewall one of the Netgate hardware appliances?

    Yes, SG-5100.
    Interesting and certainly could be the case because the other system is MBT-4220 using CE vs factory with SG-5100.
    I'll give it some time to see if it self-corrects. Thanks.



  • @pfSenseTest said in Package Manager Not Updating:

    @bmeeks said in Package Manager Not Updating:

    Is your pfSense firewall one of the Netgate hardware appliances?

    Yes, SG-5100.
    Interesting and certainly could be the case because the other system is MBT-4220 using CE vs factory with SG-5100.
    I'll give it some time to see if it self-corrects. Thanks.

    You could try raising the issue with one of the Netgate guys here on the forum. They will have a Netgate tag by their nick. I think it is a manual process on their end to sync changes in the two package repositories.


  • Netgate Administrator

    There was an issue with the dev (2.5) pkg repo but that should be corrected now. I'm not aware of any problems with 2.4.4p3 but it may have affected packages I guess.
    Yeah we need to see the error output.
    You might also try pkg update -f at the command line to force it to update the lists.

    Edit: I can see and install pfBlocker 2.2.5_25 here.

    Steve



  • What has happened in the past with Snort and Suricata is that us package maintainers almost 100% of the time submit pull requests to the DEVEL branch. The pfSense team then merges them there directly on Github, but then may, later, manually cherry-pick the commits into the RELEASE branch. That also means they need to cherry-pick the same commits into the Netgate firmware repository.

    There are two distinct package repos for RELEASE. One is for CE and the other is for Netgate appliances only. That's the repo where, in the past, I've had to get the pfSense team to manually merge a change they had already pulled into CE RELEASE. The most recent Snort change I made was like this. The update made it into 2.5-DEVEL and into 2.4.4_p3 RELEASE CE, but it did not show up for my SG-5100 (which uses the Netgate firmware package repo) until I emailed Renato and reminded him to merge the package update into the Netgate firmware repo.

    Edit: I just checked the Netgate repo and the latest pfBlockerNG-devel is there now, so Stephen is correct.

    https://firmware.netgate.com/pkg/pfSense_factory-v2_4_4_amd64-pfSense_factory-v2_4_4/All/.


  • Netgate Administrator

    I tested it against the factory repo. An SG-5100 should be able to see that. Interestingly I didn't test it against CE but it seems the OP did.

    Steve



  • Yep, all good now.

    @bmeeks Thank you very much!


  • Netgate Administrator

    Cool, thanks for confirming. 👍